Confirm a Payment Intent

Confirm that your customer intends to pay with current or provided payment method. Upon confirmation, the PaymentIntent will attempt to initiate a payment. If the selected payment method requires additional authentication steps, the PaymentIntent will transition to the requires_action status and suggest additional actions via next_action. If payment fails, the PaymentIntent transitions to the requires_payment_method status or the canceled status if the confirmation limit is reached. If payment succeeds, the PaymentIntent will transition to the succeeded status (or requires_capture, if capture_method is set to manual). If the confirmation_method is automatic, payment may be attempted. After next_actions are handled by the client, no additional confirmation is required to complete the payment.

Path Parameters
  • id
    Type: string
    max length:  
    200
    required
Query Parameters
  • expand
    Type: array string[]
Body·PaymentIntentConfirmRequest
required
application/json
  • payment_method
    Type: string · PaymentMethodId

    ID of the payment method to attach to this PaymentIntent.

  • payment_method_data
    Type: object · PaymentMethodData
  • payment_method_options
    Type: object · PaymentMethodOptions

    Payment method-specific configuration for this PaymentIntent.

Responses
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for post/v1/payment_intents/{id}/confirm
curl 'https://api.paypercut.io/v1/payment_intents/{id}/confirm?expand=' \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "payment_method": "01K688H80Z3199KETHDJ4ZAFPS",
  "payment_method_data": {
    "type": "card",
    "card": {
      "cardholder_name": null,
      "brand": "",
      "country": null,
      "issuer": null,
      "display_brand": null,
      "exp_month": 1,
      "exp_year": 1,
      "fingerprint": null,
      "funding": "",
      "segment": "",
      "iin": "",
      "last4": "",
      "wallet": {
        "dynamic_last4": null,
        "type": "apple_pay"
      },
      "three_d_secure_usage": {
        "supported": true
      },
      "token_id": "",
      "token_intent_id": ""
    },
    "billing_details": {
      "email": null,
      "name": null,
      "phone": null,
      "address": {
        "city": null,
        "country": null,
        "line1": null,
        "line2": null,
        "postal_code": null,
        "state": null
      }
    }
  },
  "payment_method_options": {
    "type": "card",
    "card": {
      "three_d_secure": {
        "session_id": "",
        "ares_trans_status": "A",
        "cryptogram": "",
        "electronic_commerce_indicator": "01",
        "exemption_indicator": "low_risk",
        "requestor_challenge_indicator": "",
        "transaction_id": "",
        "version": "1.0.2"
      },
      "request_three_d_secure": "any"
    }
  }
}'
{
  "amount": 100,
  "capture_method": "automatic",
  "on_behalf_of": "string",
  "statement_descriptor": null,
  "setup_future_usage": "off_session",
  "payment_method": "01K688H80Z3199KETHDJ4ZAFPS",
  "customer": {
    "email": null,
    "name": null,
    "phone": null,
    "preferred_locales": [
      "string"
    ],
    "address": {
      "city": null,
      "country": null,
      "line1": null,
      "line2": null,
      "postal_code": null,
      "state": null
    },
    "invoice_settings": {
      "default_payment_method": "01K688H80Z3199KETHDJ4ZAFPS"
    },
    "created": "2026-04-17T20:01:58.674Z",
    "livemode": true,
    "id": "string",
    "payment_methods": [
      {
        "type": "card",
        "card": {
          "cardholder_name": null,
          "brand": "string",
          "country": null,
          "issuer": null,
          "display_brand": null,
          "exp_month": 1,
          "exp_year": 1,
          "fingerprint": null,
          "funding": "string",
          "segment": "string",
          "iin": "string",
          "last4": "string",
          "wallet": {
            "dynamic_last4": "[Max Depth Exceeded]",
            "type": "[Max Depth Exceeded]"
          },
          "three_d_secure_usage": {
            "supported": true
          }
        },
        "billing_details": {
          "email": null,
          "name": null,
          "phone": null,
          "address": {
            "city": null,
            "country": null,
            "line1": null,
            "line2": null,
            "postal_code": null,
            "state": null
          }
        },
        "metadata": {
          "additionalProperty": "string"
        },
        "customer": "string",
        "id": "string",
        "livemode": true,
        "created": "2026-04-17T20:01:58.674Z"
      }
    ]
  },
  "id": "21210021c2855007efa2d657018",
  "amount_capturable": 100,
  "amount_received": 100,
  "currency": {
    "iso": "usd",
    "scale": 2
  },
  "status": "canceled",
  "created": "2026-04-17T20:01:58.674Z",
  "livemode": true,
  "next_action": {
    "redirect_to_url": {
      "return_url": null,
      "url": null
    },
    "type": "string",
    "three_d_secure": {
      "flow": "frictionless",
      "status_url": "https://api.yourco.com/v1/payment_intents/pi_123",
      "return_url": null,
      "message": {
        "allowed_origins": [
          "https://merchant.example.com"
        ]
      },
      "hint": {
        "scheme": "visa",
        "version": "2.2.0"
      },
      "idempotency_key": "string"
    }
  },
  "latest_payment": "01K755J9SV2364REVHB915Z2FW",
  "cancellation_reason": "abandoned",
  "canceled_at": "2026-04-17T20:01:58.674Z"
}